All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class AdvancedBusinessQueryFilterObjectFactory

    com.sas.dataselectors.filters.AdvancedBusinessQueryFilterObjectFactory

All Implemented Interfaces:
  FilterObjectFactoryInterface

    public class AdvancedBusinessQueryFilterObjectFactory

This class extends the base factory class to add run-time specific functionality.

Field Summary
`protected com.sas.iquery.metadata.business.DataItem` | `_dataItem` The OLAP DataItem this factory should focus on when constructing filter model objects.

Fields inherited from class com.sas.dataselectors.filters.BaseAdvancedFilterObjectFactory
`_businessQuery, ALT_CONTAINS, ALT_LIKE, ALT_NOT_CONTAINS, ALT_NOT_LIKE, CONTAINS, DOES_NOT_CONTAIN, IS_BETWEEN_TIME, IS_IN_LIST_OR_EQUAL_TO, IS_NOT_IN_LIST_OR_EQUAL_TO, LAST_N_PERIODS, LIKE, MONTH_TO_DATE, NEXT_N_PERIODS, OLAP_EQUAL_TO, OLAP_IS_NOT_EQUAL_TO, OLAP_RELATIVE_TIME, olapTimeBasedFilterAdapter, RB_KEY, RB_KEY2, YEAR_TO_DATE`

Fields inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`_baseModel, _businessModel, _dataService, _scope, CODE_BLOCK, DEFAULT_GOVERNING_LIMIT, DEFAULT_SCOPE, environment, IS_AFTER, IS_AFTER_OR_EQUAL, IS_BEFORE, IS_BEFORE_OR_EQUAL, IS_BETWEEN, IS_EQUALS, IS_GREATER_THAN, IS_GREATER_THAN_OR_EQUAL, IS_IN_LIST, IS_LESS_THAN, IS_LESS_THAN_OR_EQUAL, IS_NOT_BETWEEN, IS_NOT_EQUALS, IS_NOT_IN_LIST, IS_NOT_NULL, IS_NULL`

Constructor Summary
`AdvancedBusinessQueryFilterObjectFactory(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel)` Constructs a new factory from the given BusinessQuery object.
`AdvancedBusinessQueryFilterObjectFactory(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel, com.sas.iquery.metadata.business.DataItem dataItem)` Constructs a new factory from the given BusinessQuery object.

Method Summary
`protected java.util.List` | `getAlternateConditions()`
`java.util.List` | `getEligibleFilterItems(boolean includeBaseModels)` Produces a list of objects from the initial model to construct our filter items from.
`FilterQualifierListInterface` | `getQualifiers(java.util.List itemList)` Returns a FilterQualifierListInterface instance that defines the list of all qualifiers that should be available.
`FilterConditionListInterface` | `getRelationalConditions(com.sas.iquery.metadata.expr.ExpressionInterface expression, boolean forcedFormatting)` Returns the condition list appropriate for the given expression assuming it is for relational data.

Methods inherited from class com.sas.dataselectors.filters.BaseAdvancedFilterObjectFactory
`convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterItem, findMatchingFilterItem, getActualFilterValues, getCharacterQualifiedItem, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionList, getDefaultOLAPMeasureConditions, getDefaultOLAPNonMeasureConditions, getFilterableItems, getMembersForOLAPItem, getMembersForOLAPItem, getNumericQualifiedItem, getOLAPConditions, getOLAPTimeBasedConditions, getOLAPTimeBasedFilterAdapter, getQualifiedItem, getRelationalCharacterConditions, getRelationalConditions, getRelationalNumericConditions, getRelationalTimeBasedConditions, getRelationalTimeConditions, newConditionalExpression, newConditionalFunctionExpression, newConditionalFunctionExpression, newFilterExpression, newRelationalFilterExpression, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, setLocale, updateCompoundFilter, updateSimpleFilterFromTestNode`

Methods inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`addFilterItem, clearFilterCondition, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, createExpressionFromNative, createExpressionFromNative, createFilterItemFromNative, createFilterQualifierFromNative, createFilterQualifierListFromNativeList, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueList, createFilterValueListFromNativeList, createJavaDateFromSASDate, createJavaDateFromSASDateTime, createJavaDateFromSASTime, createStringExpressionList, createStringExpressionList, createValueItem, createValueItemFromUniqueMemberID, enforceBooleanPrecedence, findMatchingConditionObject, findMatchingConditionObject, findMatchingConditionObject, findMatchingFilterQualifier, findMatchingFilterValue, formatFunctionCall, getAdjustedFilterItemType, getComparisonOperator, getDataItem, getDataItems, getDataServiceValues, getDateOrNullFromNative, getEnvironment, getExpressionListFromTestNodeValues, getFilterItemSASFormatText, getFilterStep, getItemType, getLevelProperties, getLevelProperties, getLevelProperties, getLocale, getMaxOutputObservations, getMemberListFromTestNodeQualifiers, getMetadataInterface, getOLAPMeasureConditionList, getOLAPMemberConditionList, getRelationalConditions, getRelationalConditions, getServerProperties, getStringExpressionListFromTestNodeValues, initDataService, isOLAP, isTimeDimension, newCompoundConditionalExpression, newCompoundFilter, newCompoundStep, newConstantExpression, newCoumpoundFilter, newFilterDataValue, newFilterDataValue, newFilterItem, newFilterStep, newFilterValue, newStringExpression, newStringExpression, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, releaseResources, removeFilterItem, setEnvironment, setFilterBaseModelData, setFilterItemProperties, setFilterItemProperties, setMaxOutputObservations, updateCompoundConditionalFilter, updateCompoundStep, updateSimpleFilter, updateSimpleFilterFromTestNode, updateSimpleFilterFromTestNode, wrapValueListDates`

Field Detail

### _dataItem

    protected com.sas.iquery.metadata.business.DataItem _dataItem

  The OLAP DataItem this factory should focus on when constructing filter model objects.

Constructor Detail

### AdvancedBusinessQueryFilterObjectFactory

    public AdvancedBusinessQueryFilterObjectFactory(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                    FilterBaseModelData baseModel)

  Constructs a new factory from the given BusinessQuery object.

  Parameters:
    `businessQuery` - the query this factory will deal with

### AdvancedBusinessQueryFilterObjectFactory

    public AdvancedBusinessQueryFilterObjectFactory(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                    FilterBaseModelData baseModel,
                                                    com.sas.iquery.metadata.business.DataItem dataItem)

  Constructs a new factory from the given BusinessQuery object. The specified DataItem will be used, if given, to determine the properties of some of the objects created by the factory.

  Parameters:
    `businessQuery` - the query this factory will deal with
    `dataItem` - the OLAP DataItem to focus on

Method Detail

### getEligibleFilterItems

    public java.util.List getEligibleFilterItems(boolean includeBaseModels)

  Produces a list of objects from the initial model to construct our filter items from.

  Overrides:
    `getEligibleFilterItems` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `includeBaseModels` - is not used here
  Returns:
    the list of objects eligible to make filter items from
  See Also:
    `BaseAdvancedFilterObjectFactory.getEligibleFilterItems(boolean)`

### getQualifiers

    public FilterQualifierListInterface getQualifiers(java.util.List itemList)

  Returns a FilterQualifierListInterface instance that defines the list of all qualifiers that should be available. The list is derived from the BusinessQuery and from the items in the list (although currently, the list is ignored).

  Overrides:
    `getQualifiers` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `itemList` - a list of FilterItems for which the returned qualifiers should be valid
  Returns:
    a FilterQualifierListInterface instance defining the available qualifiers

### getRelationalConditions

    public FilterConditionListInterface getRelationalConditions(com.sas.iquery.metadata.expr.ExpressionInterface expression,
                                                                boolean forcedFormatting)

  Returns the condition list appropriate for the given expression assuming it is for relational data.

  Overrides:
    `getRelationalConditions` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `expression` - the expression to examine
    `forcedFormatting` - flag to specify if forced formatting should be considered while constructing the condition list
  Returns:
    the condition list appropriate for the given expression

### getAlternateConditions

    protected java.util.List getAlternateConditions()

  Overrides:
    `getAlternateConditions` in class `BaseFilterObjectFactory`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.